## org.apache.axis.wsdl.symbolTable
Class CollectionElement

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.TypeEntry
              org.apache.axis.wsdl.symbolTable.Element
                  org.apache.axis.wsdl.symbolTable.DefinedElement
                      org.apache.axis.wsdl.symbolTable.CollectionElement

All Implemented Interfaces:
  CollectionTE, java.io.Serializable

public class CollectionElement
extends DefinedElement
implements CollectionTE

This Element is for a QName that is a 'collection'. For example, We need a way to indicate in the symbol table that a foo is 'collection of bars', In such cases a collection element is added with the special QName <name>[<minOccurs>, <maxOccurs>]

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry
`componentType, containedAttributes, containedElements, dims, isBaseType, isSimpleType, itemQName, node, onlyLiteralReference, refType, types, undefined, underlTypeNillable`

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`CollectionElement(QName pqName, TypeEntry refType, org.w3c.dom.Node pNode, java.lang.String dims)` Constructor CollectionElement

Methods inherited from class org.apache.axis.wsdl.symbolTable.TypeEntry

`getBaseType, getComponentType, getContainedAttributes, getContainedElements, getDimensions, getItemQName, getNestedTypes, getNode, getRefType, getUndefinedTypeRef, getUnderlTypeNillable, isBaseType, isOnlyLiteralReferenced, isSimpleType, setBaseType, setComponentType, setContainedAttributes, setContainedElements, setItemQName, setOnlyLiteralReference, setRefType, setSimpleType, setUnderlTypeNillable, toString, toString, updateUndefined`

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionElement

    public CollectionElement(QName pqName,
                             TypeEntry refType,
                             org.w3c.dom.Node pNode,
                             java.lang.String dims)

  Constructor CollectionElement

Parameters:
  `pqName` -
  `refType` -
  `pNode` -
  `dims` -

Copyright © 2005 Apache Web Services Project. All Rights Reserved.